import { useI18n } from 'vue-i18n'

export const useHeaderMenuConfig = () => {
  const { t } = useI18n()
  
  return [
    {
      label: t('header_menu.corporate_information.title'),
      key: 'corporate_information',
      children: [
        {
          label: t('header_menu.corporate_information.company_overview'),
          key: 'company_overview',
        },
        {
          label: t('header_menu.corporate_information.business_introduction'),
          key: 'business_introduction',
        },
        {
          label: t('header_menu.corporate_information.management'),
          key: 'management',
        },
        {
          label: t('header_menu.corporate_information.board_of_directors'),
          key: 'board_of_directors',
        },
        {
          label: t('header_menu.corporate_information.committee_appointments'),
          key: 'committee_appointments',
        },
        {
          label: t('header_menu.corporate_information.governance'),
          key: 'governance',
        },
        {
          label: t('header_menu.corporate_information.corporate_video'),
          key: 'corporate_video',
        },
      ],
    },
    {
      label: t('header_menu.financial_information.title'),
      key: 'financial_information',
      children: [
        {
          label: t('header_menu.financial_information.sec_filings'),
          key: 'sec_filings',
          href: "/secfilings",
        },
        {
          label: t('header_menu.financial_information.quarterly_results'),
          key: 'quarterly_results',
          href: "/quarterlyresults",
        },
      ],
    },
    {
      label: t('header_menu.stock_information.title'),
      key: 'stock_information',
      children: [
        {
          label: t('header_menu.stock_information.stock_quote'),
          key: 'stock_quote',
        },
        {
          label: t('header_menu.stock_information.historic_stock_price'),
          key: 'historic_stock_price',
        },
        {
          label: t('header_menu.stock_information.investment_calculator'),
          key: 'investment_calculator',
        },
      ],
    },
    {
      label: t('header_menu.news_releases.title'),
      key: 'news_releases',
      children: [
        {
          label: t('header_menu.news_releases.press_releases'),
          key: 'press_releases',
          href: '/press-releases',
        },
        {
          label: t('header_menu.news_releases.events_calendar'),
          key: 'events_calendar',
        },
      ],
    },
    {
      label: t('header_menu.investor_resources.title'),
      key: 'investor_resources',
      children: [
        {
          label: t('header_menu.investor_resources.ir_contacts'),
          key: 'ir_contacts',
        },
        {
          label: t('header_menu.investor_resources.email_alerts'),
          key: 'email_alerts',
        },
      ],
    },
  ]
} 