// router/index.js
import { createRouter, createWebHistory } from 'vue-router'
import { setupRouterGuards } from './router-guards'

const routes = [
  {
    path: '/',
    name: 'index',
    component: () => import('@/views/index/index.vue'),
    // beforeEnter: (to, from, next) => {

    //     localStorage.clear()
    //     next()
    // }
    children: [
      {
        path: 'home',
        name: 'home',
        component: () => import('@/views/home/index.vue'),
      },
      {
        path: 'press-releases',
        name: 'press-releases',
        component: () => import('@/views/press-releases/index.vue'),
      },
      {
        path: '/quarterlyresults',
        name: 'QuarterlyResults',
        component: () =>
          import('@/views/financialinformation/quarterlyresults/index.vue'),
      },
      {
        path: '/secfilings',
        name: 'SecFilings',
        component: () =>
          import('@/views/financialinformation/secfilings/index.vue'),
      },
    ],
  },
  {
    path: '/contacts',
    name: 'contacts',
    component: () => import('@/views/contacts/index.vue'),
  },
  // {
  //     path: '/companyprofil',
  //     name: 'Companyprofil',
  //     component: () => import('@/views/companyprofil/index.vue'),
  // },
  // {
  //     path: '/companyprofildetail',
  //     name: 'Companyprofildetail',
  //     component: () => import('@/views/companyprofildetail/index.vue'),
  // },
  // {
  //     path: '/businessintroduction',
  //     name: 'Businessintroduction',
  //     component: () => import('@/views/businessintroduction/index.vue'),
  // },
  // {
  //     path: '/investor',
  //     name: 'Investor',
  //     component: () => import('@/views/investor/index.vue'),
  // },
  // {
  //     path: '/investorhandbook',
  //     name: 'Investorhandbook',
  //     component: () => import('@/views/investorhandbook/index.vue'),
  // },
]

const router = createRouter({
  history: createWebHistory(),
  routes,
})
router.beforeEach((to, from, next) => {
  if (to.meta?.title) {
    document.title = to.meta.title
  }
  next()
})
setupRouterGuards(router)
export default router
